Configure dedicated inbound number
curl --request POST \
--url https://api.heullo.com/api/v1/inbound/numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"isActive": true,
"isShared": true,
"organizationId": "<string>",
"phoneNumber": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.heullo.com/api/v1/inbound/numbers"
payload = {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"isActive": True,
"isShared": True,
"organizationId": "<string>",
"phoneNumber": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createdAt: '2023-11-07T05:31:56Z',
id: '<string>',
isActive: true,
isShared: true,
organizationId: '<string>',
phoneNumber: '<string>',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.heullo.com/api/v1/inbound/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/inbound/numbers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'createdAt' => '2023-11-07T05:31:56Z',
'id' => '<string>',
'isActive' => true,
'isShared' => true,
'organizationId' => '<string>',
'phoneNumber' => '<string>',
'updatedAt' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/inbound/numbers"
payload := strings.NewReader("{\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"id\": \"<string>\",\n \"isActive\": true,\n \"isShared\": true,\n \"organizationId\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/v1/inbound/numbers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"id\": \"<string>\",\n \"isActive\": true,\n \"isShared\": true,\n \"organizationId\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/inbound/numbers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"id\": \"<string>\",\n \"isActive\": true,\n \"isShared\": true,\n \"organizationId\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"isActive": true,
"isShared": true,
"organizationId": "<string>",
"phoneNumber": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}Inbound Numbers
Configure dedicated inbound number
POST /api/v1/inbound/numbers
POST
/
api
/
v1
/
inbound
/
numbers
Configure dedicated inbound number
curl --request POST \
--url https://api.heullo.com/api/v1/inbound/numbers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"isActive": true,
"isShared": true,
"organizationId": "<string>",
"phoneNumber": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.heullo.com/api/v1/inbound/numbers"
payload = {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"isActive": True,
"isShared": True,
"organizationId": "<string>",
"phoneNumber": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createdAt: '2023-11-07T05:31:56Z',
id: '<string>',
isActive: true,
isShared: true,
organizationId: '<string>',
phoneNumber: '<string>',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.heullo.com/api/v1/inbound/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heullo.com/api/v1/inbound/numbers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'createdAt' => '2023-11-07T05:31:56Z',
'id' => '<string>',
'isActive' => true,
'isShared' => true,
'organizationId' => '<string>',
'phoneNumber' => '<string>',
'updatedAt' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.heullo.com/api/v1/inbound/numbers"
payload := strings.NewReader("{\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"id\": \"<string>\",\n \"isActive\": true,\n \"isShared\": true,\n \"organizationId\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.heullo.com/api/v1/inbound/numbers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"id\": \"<string>\",\n \"isActive\": true,\n \"isShared\": true,\n \"organizationId\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heullo.com/api/v1/inbound/numbers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"id\": \"<string>\",\n \"isActive\": true,\n \"isShared\": true,\n \"organizationId\": \"<string>\",\n \"phoneNumber\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"isActive": true,
"isShared": true,
"organizationId": "<string>",
"phoneNumber": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"etag": "<string>",
"message": "<string>",
"metadata": {
"last": true,
"page": 123,
"size": 123,
"totalElements": 123,
"totalPages": 123
},
"status": 123,
"success": true,
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json

